.md-grid {
  max-width: 100%;
}

h1 {
  
  font-weight: 700;
  font-weight: 600 !important; /* Fuerza el grosor al máximo (Ultra-Bold) */
  text-align: center;
}

/* Resaltar los títulos H2 (##) */
h2 {
  color: #777;         /* Color Índigo estándar (puedes usar también #4b0082 para índigo oscuro) */
  font-weight: 600 !important; /* Fuerza el grosor al máximo (Ultra-Bold) */
  border-bottom: 3px solid #777; /* Línea inferior a juego con el color índigo */
  padding-bottom: 3px;    /* Espacio entre el texto y la línea */
  margin-top: 33px;       /* Espacio superior para separar del párrafo anterior */
}

/* Resaltar los títulos H3 (###) */
h3 {
  color: #777;       /* Color naranja para contrastar */
  font-weight: 600 !important; /* Fuerza el grosor al máximo (Ultra-Bold) */
  margin-top: 22px;
}

/*Justificación del texto de las listas y los párrafos*/
.md-typeset p {
  text-align: justify;
}

.md-typeset ul li,
.md-typeset ol li {
  text-align: justify;
}

/*Centrar imágenes*/
img {
  display: block;
  margin: 0 auto;
}

/*Centrar Tablas*/
.md-typeset__table {
  width: fit-content !important;
  margin-left: auto !important;
  margin-right: auto !important;
  display: block !important;
}

.md-typeset__table table {
  display: table !important;
  width: auto !important;
}

/* ============================================
   BLOQUES DE CÓDIGO (```bash, ```python, etc.)
   ============================================ */

/* Bloque de código general */
.md-typeset pre {
  background-color: #DCDCDC;
  border-radius: 8px;
  padding: 1rem 1.2rem;
  overflow-x: auto;
  border-left: 5px solid #00adef;
  box-shadow: 0 4px 12px #000;
  margin: 1.2rem 0;
}

/* El texto dentro del bloque */
.md-typeset pre code {
  font-family: 'JetBrains Mono', 'Fira Code', 'Cascadia Code', monospace;
  font-size: 0.70rem;
  line-height: 1.5;
  color: #2F4F4F;
  background: transparent;
  padding: 0;
  border-radius: 0;
}

/* ============================================
   TABLAS
   ============================================ */
